
QGIS Application - Bug report #19846

crash when saving projects

2018-09-14 01:17 AM - Timothy Abel

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 27670

Description

User Feedback

QGIS is crashing every time a browser window is opened: when I try to add a new raster layer and when I try to save a project as... .

Report Details

Crash ID: b698ac1db19710a8915a9eb09597fc1faeecc120

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

Ordinal67 :

CoGetProcessIdentifier :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllCanUnloadNow :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-09-14 07:26 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

"browser"? do you mean the QGIS (data sources) browser? else?

#2 - 2018-09-14 09:44 PM - Timothy Abel

QGIS crashes whenever it tries to open a browser window to search for a file, i.e. when I want to "save (a file) as", whenever I try to add a raster layer and

click the browse icon. The browser browser window comes up and the program immediately crashes. It does the same thing in Girona. I've had to back

down to Las Palmas to fix it.

#3 - 2018-09-14 10:56 PM - Giovanni Manghi

Timothy Abel wrote:

QGIS crashes whenever it tries to open a browser window to search for a file, i.e. when I want to "save (a file) as", whenever I try to add a raster

layer and click the browse icon. The browser browser window comes up and the program immediately crashes. It does the same thing in Girona.

I've had to back down to Las Palmas to fix it.

try again with a new/clean profile.

#4 - 2018-09-14 11:34 PM - Timothy Abel

Not sure what you mean by new/clean profile?

#5 - 2018-09-15 12:06 AM - Giovanni Manghi

Timothy Abel wrote:
Not sure what you mean by new/clean profile?

In QGIS3 you can create multiple profiles (for example each one with its own set of plugins and UI customization) and choose one of them.

You must test if you still get the crash while using a completely new (no 3rd party plugins) profile.

#6 - 2018-09-15 02:48 PM - Timothy Abel

I don't run any 3rd party plugins, just the default selections. The only other thing that shows up under the plugins tab is the Python console. When I tried

running under a new profile, the crash also occurred when I tried to open a file (crash happened upon calling up the browser window).

#7 - 2018-09-15 03:29 PM - Giovanni Manghi

- Subject changed from Browser interaction crash to crash when saving projects

- Category changed from Browser to Project Loading/Saving

Timothy Abel wrote:

I don't run any 3rd party plugins, just the default selections. The only other thing that shows up under the plugins tab is the Python console. When I

tried running under a new profile, the crash also occurred when I tried to open a file (crash happened upon calling up the browser window).

sounds like a local issue anyway, as of course this is not a general qgis issue.

#8 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#9 - 2018-11-11 01:41 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#10 - 2018-11-11 01:41 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
